Skip to main content
GET
/
api
/
v1
/
search
/
graphrag
/
stores
/
{store_name}
/
graph
Typescript (SDK)
import { SDK } from "@meetkai/mka1";

const sdk = new SDK({
  bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await sdk.search.graphrag.inspectGraphRAGStore({
    storeName: "<value>",
    xApiKeyId: "<id>",
    xUserId: "<id>",
    xExchangeJwtExternalUserId: "<id>",
  });

  console.log(result);
}

run();
{
  "counts": {
    "entity_count": 123,
    "edge_count": 123,
    "chunk_count": 123
  },
  "entities": [
    {
      "entity_id": "<string>",
      "name": "<string>",
      "entity_type": "<string>",
      "aliases": [
        "<string>"
      ]
    }
  ],
  "edges": [
    {
      "edge_id": "<string>",
      "subject": "<string>",
      "predicate": "<string>",
      "object": "<string>",
      "evidence_chunk_ids": [
        "<string>"
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Headers

x-api-key-id
string
required
x-user-id
string
required
x-exchange-jwt-external-user-id
string
required

Path Parameters

store_name
string
required

Query Parameters

entity
string | null
limit
integer
default:25
Required range: 1 <= x <= 100

Response

Successful Response

counts
GraphCountsView · object
required
entities
GraphEntityView · object[]
edges
GraphEdgeView · object[]